classification
Title: Add support of check logger
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: chetankolhe, vinay.sajip
Priority: normal Keywords:

Created on 2018-07-27 05:15 by chetankolhe, last changed 2018-08-08 22:17 by vinay.sajip. This issue is now closed.

Messages (3)
msg322462 - (view) Author: Chetan kolhe (chetankolhe) Date: 2018-07-27 05:15
Add support in logging library which will check whether the logger object already created or not .

Module:- logging

Code:-

    def check_logger(self, logger_name):
        """
        Description :- It will check whether the logger object is already present or not .
        :param logger_name:

        :return: True/False
        """
        if Logger.manager.loggerDict.get(logger_name):
            return False
        else:
            return True
msg322791 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2018-07-31 15:43
What is your use case?
msg323308 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2018-08-08 22:17
Closing, as no response received.
History
Date User Action Args
2018-08-08 22:17:11vinay.sajipsetstatus: open -> closed
resolution: rejected
messages: + msg323308

stage: resolved
2018-07-31 15:43:45vinay.sajipsetmessages: + msg322791
2018-07-27 05:20:21berker.peksagsetnosy: + vinay.sajip
2018-07-27 05:15:40chetankolhecreate